curl --location --request GET 'https://api.stateset.com/v1/order/retrieve' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "ord_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query ($id: UUID!) {
order(id: $id) {
id
name
order_number
created_date
updated_date
order_status
imported_status
delivery_date
ordered_by
delivery_address
notes
imported_date
customer_number
customer_name
import
customer_email
source
buyer_email
buyer_message
cancel_order_sla_time
cancel_reason
cancellation_initiator
fulfillment_type
delivery_type
is_cod
is_replacement_order
seller_note
status
tracking_number
warehouse_id
order_line_items {
id
wholesale_order_id
product_name
quantity
created_date
updated_date
unit
product_id
brand
stock_code
size
status
sale_price
seller_discount
seller_sku
sku_id
sku_image
sku_name
sku_type
original_price
}
}
}
const order = await stateset.orders.retrieve('ord_1NXWPnCo6bFb1KQto6C8OWvE');
order = stateset.orders.retrieve('ord_1NXWPnCo6bFb1KQto6C8OWvE')
order, err := stateset.Orders.Retrieve("ord_1NXWPnCo6bFb1KQto6C8OWvE")
order = Stateset::Order.retrieve('ord_1NXWPnCo6bFb1KQto6C8OWvE')
Order order = Order.retrieve("ord_1NXWPnCo6bFb1KQto6C8OWvE");
var order = Order.Retrieve("ord_1NXWPnCo6bFb1KQto6C8OWvE");
$order = $stateset->orders->retrieve('ord_1NXWPnCo6bFb1KQto6C8OWvE');
GET /v1/order/ord_1NXWPnCo6bFb1KQto6C8OWvE HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
Authorization: Bearer <token>
{
"order": {
"id": "ord_1NXWPnCo6bFb1KQto6C8OWvE",
"name": "Example Order",
"order_number": "ORD-12345",
"created_date": "2023-08-23T10:00:00Z",
"updated_date": "2023-08-23T11:00:00Z",
"order_status": "Processing",
"imported_status": "Completed",
"delivery_date": "2023-08-30T14:00:00Z",
"ordered_by": "John Doe",
"delivery_address": "123 Main St, Anytown, AN 12345",
"notes": "Please handle with care",
"imported_date": "2023-08-23T09:00:00Z",
"customer_number": "CUST-6789",
"customer_name": "John Doe",
"import": true,
"customer_email": "john.doe@example.com",
"source": "Online Store",
"buyer_email": "john.doe@example.com",
"buyer_message": "Looking forward to receiving the order!",
"cancel_order_sla_time": null,
"cancel_reason": null,
"cancellation_initiator": null,
"fulfillment_type": "Standard",
"delivery_type": "Home Delivery",
"is_cod": false,
"is_replacement_order": false,
"seller_note": "Thank you for your order",
"status": "Processing",
"tracking_number": "TRACK-98765",
"warehouse_id": "wh_2MXYQoDp7cGc2LRup7D9PXvF",
"order_line_items": [
{
"id": "oli_3OYZRpEq8dHd3MSvq8E0QYwG",
"wholesale_order_id": "ord_1NXWPnCo6bFb1KQto6C8OWvE",
"product_name": "Example Product",
"quantity": "2",
"created_date": "2023-08-23T10:05:00Z",
"updated_date": "2023-08-23T10:05:00Z",
"unit": "piece",
"product_id": "prod_4PZaSqFr9eIe4NTwr9F1RZxH",
"brand": "Example Brand",
"stock_code": "EX-1234",
"size": "Medium",
"status": "In Stock",
"sale_price": 2999,
"seller_discount": 500,
"seller_sku": "SKU-5678",
"sku_id": "sku_6QAbTrGs0fJf5OUxs0G2SZyI",
"sku_image": "https://example.com/images/product.jpg",
"sku_name": "Example Product - Medium",
"sku_type": "Standard",
"original_price": 3499
}
]
}
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Order not found",
"details": {
"resource": "order",
"id": "ord_1a2b3c4d5e6f"
},
"request_id": "req_abc123def456"
}
}
{
"error": {
"code": "INVALID_API_KEY",
"message": "The API key provided is invalid or has been revoked",
"request_id": "req_abc123def456"
}
}
Retrieve Order
This endpoint retrieves an order.
GET
/
v1
/
order
/
:id
/
retrieve
curl --location --request GET 'https://api.stateset.com/v1/order/retrieve' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "ord_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query ($id: UUID!) {
order(id: $id) {
id
name
order_number
created_date
updated_date
order_status
imported_status
delivery_date
ordered_by
delivery_address
notes
imported_date
customer_number
customer_name
import
customer_email
source
buyer_email
buyer_message
cancel_order_sla_time
cancel_reason
cancellation_initiator
fulfillment_type
delivery_type
is_cod
is_replacement_order
seller_note
status
tracking_number
warehouse_id
order_line_items {
id
wholesale_order_id
product_name
quantity
created_date
updated_date
unit
product_id
brand
stock_code
size
status
sale_price
seller_discount
seller_sku
sku_id
sku_image
sku_name
sku_type
original_price
}
}
}
const order = await stateset.orders.retrieve('ord_1NXWPnCo6bFb1KQto6C8OWvE');
order = stateset.orders.retrieve('ord_1NXWPnCo6bFb1KQto6C8OWvE')
order, err := stateset.Orders.Retrieve("ord_1NXWPnCo6bFb1KQto6C8OWvE")
order = Stateset::Order.retrieve('ord_1NXWPnCo6bFb1KQto6C8OWvE')
Order order = Order.retrieve("ord_1NXWPnCo6bFb1KQto6C8OWvE");
var order = Order.Retrieve("ord_1NXWPnCo6bFb1KQto6C8OWvE");
$order = $stateset->orders->retrieve('ord_1NXWPnCo6bFb1KQto6C8OWvE');
GET /v1/order/ord_1NXWPnCo6bFb1KQto6C8OWvE HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
Authorization: Bearer <token>
{
"order": {
"id": "ord_1NXWPnCo6bFb1KQto6C8OWvE",
"name": "Example Order",
"order_number": "ORD-12345",
"created_date": "2023-08-23T10:00:00Z",
"updated_date": "2023-08-23T11:00:00Z",
"order_status": "Processing",
"imported_status": "Completed",
"delivery_date": "2023-08-30T14:00:00Z",
"ordered_by": "John Doe",
"delivery_address": "123 Main St, Anytown, AN 12345",
"notes": "Please handle with care",
"imported_date": "2023-08-23T09:00:00Z",
"customer_number": "CUST-6789",
"customer_name": "John Doe",
"import": true,
"customer_email": "john.doe@example.com",
"source": "Online Store",
"buyer_email": "john.doe@example.com",
"buyer_message": "Looking forward to receiving the order!",
"cancel_order_sla_time": null,
"cancel_reason": null,
"cancellation_initiator": null,
"fulfillment_type": "Standard",
"delivery_type": "Home Delivery",
"is_cod": false,
"is_replacement_order": false,
"seller_note": "Thank you for your order",
"status": "Processing",
"tracking_number": "TRACK-98765",
"warehouse_id": "wh_2MXYQoDp7cGc2LRup7D9PXvF",
"order_line_items": [
{
"id": "oli_3OYZRpEq8dHd3MSvq8E0QYwG",
"wholesale_order_id": "ord_1NXWPnCo6bFb1KQto6C8OWvE",
"product_name": "Example Product",
"quantity": "2",
"created_date": "2023-08-23T10:05:00Z",
"updated_date": "2023-08-23T10:05:00Z",
"unit": "piece",
"product_id": "prod_4PZaSqFr9eIe4NTwr9F1RZxH",
"brand": "Example Brand",
"stock_code": "EX-1234",
"size": "Medium",
"status": "In Stock",
"sale_price": 2999,
"seller_discount": 500,
"seller_sku": "SKU-5678",
"sku_id": "sku_6QAbTrGs0fJf5OUxs0G2SZyI",
"sku_image": "https://example.com/images/product.jpg",
"sku_name": "Example Product - Medium",
"sku_type": "Standard",
"original_price": 3499
}
]
}
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Order not found",
"details": {
"resource": "order",
"id": "ord_1a2b3c4d5e6f"
},
"request_id": "req_abc123def456"
}
}
{
"error": {
"code": "INVALID_API_KEY",
"message": "The API key provided is invalid or has been revoked",
"request_id": "req_abc123def456"
}
}
Body
string
This is the id of the order.
Response
string
This is the id of the order.
string
This is the name of the order.
string
This is the order number.
string
This is the date the order was created.
string
This is the date the order was last updated.
string
This is the status of the order.
string
This is the imported status of the order.
string
This is the delivery date of the order.
string
This is the person who ordered.
string
This is the delivery address for the order.
string
These are additional notes for the order.
string
This is the date the order was imported.
string
This is the customer number associated with the order.
string
This is the name of the customer.
boolean
This indicates if the order was imported.
string
This is the email of the customer.
string
This is the source of the order.
string
This is the email of the buyer.
string
This is a message from the buyer.
string
This is the SLA time for cancelling the order.
string
This is the reason for cancellation, if applicable.
string
This is who initiated the cancellation, if applicable.
string
This is the type of fulfillment for the order.
string
This is the type of delivery for the order.
boolean
This indicates if the order is cash on delivery.
boolean
This indicates if this is a replacement order.
string
This is a note from the seller.
string
This is the current status of the order.
string
This is the tracking number for the order.
string
This is the id of the warehouse handling the order.
array
These are the line items associated with the order.
Show Show child attributes
Show Show child attributes
string
This is the id of the order line item.
string
This is the id of the associated wholesale order.
string
This is the name of the product.
string
This is the quantity of the product ordered.
string
This is the date the line item was created.
string
This is the date the line item was last updated.
string
This is the unit of measurement for the product.
string
This is the id of the product.
string
This is the brand of the product.
string
This is the stock code of the product.
string
This is the size of the product.
string
This is the status of the line item.
integer
This is the sale price of the product.
integer
This is the discount offered by the seller.
string
This is the seller’s SKU for the product.
string
This is the SKU id of the product.
string
This is the image URL for the product SKU.
string
This is the name of the product SKU.
string
This is the type of the product SKU.
integer
This is the original price of the product.
curl --location --request GET 'https://api.stateset.com/v1/order/retrieve' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "ord_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query ($id: UUID!) {
order(id: $id) {
id
name
order_number
created_date
updated_date
order_status
imported_status
delivery_date
ordered_by
delivery_address
notes
imported_date
customer_number
customer_name
import
customer_email
source
buyer_email
buyer_message
cancel_order_sla_time
cancel_reason
cancellation_initiator
fulfillment_type
delivery_type
is_cod
is_replacement_order
seller_note
status
tracking_number
warehouse_id
order_line_items {
id
wholesale_order_id
product_name
quantity
created_date
updated_date
unit
product_id
brand
stock_code
size
status
sale_price
seller_discount
seller_sku
sku_id
sku_image
sku_name
sku_type
original_price
}
}
}
const order = await stateset.orders.retrieve('ord_1NXWPnCo6bFb1KQto6C8OWvE');
order = stateset.orders.retrieve('ord_1NXWPnCo6bFb1KQto6C8OWvE')
order, err := stateset.Orders.Retrieve("ord_1NXWPnCo6bFb1KQto6C8OWvE")
order = Stateset::Order.retrieve('ord_1NXWPnCo6bFb1KQto6C8OWvE')
Order order = Order.retrieve("ord_1NXWPnCo6bFb1KQto6C8OWvE");
var order = Order.Retrieve("ord_1NXWPnCo6bFb1KQto6C8OWvE");
$order = $stateset->orders->retrieve('ord_1NXWPnCo6bFb1KQto6C8OWvE');
GET /v1/order/ord_1NXWPnCo6bFb1KQto6C8OWvE HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
Authorization: Bearer <token>
{
"order": {
"id": "ord_1NXWPnCo6bFb1KQto6C8OWvE",
"name": "Example Order",
"order_number": "ORD-12345",
"created_date": "2023-08-23T10:00:00Z",
"updated_date": "2023-08-23T11:00:00Z",
"order_status": "Processing",
"imported_status": "Completed",
"delivery_date": "2023-08-30T14:00:00Z",
"ordered_by": "John Doe",
"delivery_address": "123 Main St, Anytown, AN 12345",
"notes": "Please handle with care",
"imported_date": "2023-08-23T09:00:00Z",
"customer_number": "CUST-6789",
"customer_name": "John Doe",
"import": true,
"customer_email": "john.doe@example.com",
"source": "Online Store",
"buyer_email": "john.doe@example.com",
"buyer_message": "Looking forward to receiving the order!",
"cancel_order_sla_time": null,
"cancel_reason": null,
"cancellation_initiator": null,
"fulfillment_type": "Standard",
"delivery_type": "Home Delivery",
"is_cod": false,
"is_replacement_order": false,
"seller_note": "Thank you for your order",
"status": "Processing",
"tracking_number": "TRACK-98765",
"warehouse_id": "wh_2MXYQoDp7cGc2LRup7D9PXvF",
"order_line_items": [
{
"id": "oli_3OYZRpEq8dHd3MSvq8E0QYwG",
"wholesale_order_id": "ord_1NXWPnCo6bFb1KQto6C8OWvE",
"product_name": "Example Product",
"quantity": "2",
"created_date": "2023-08-23T10:05:00Z",
"updated_date": "2023-08-23T10:05:00Z",
"unit": "piece",
"product_id": "prod_4PZaSqFr9eIe4NTwr9F1RZxH",
"brand": "Example Brand",
"stock_code": "EX-1234",
"size": "Medium",
"status": "In Stock",
"sale_price": 2999,
"seller_discount": 500,
"seller_sku": "SKU-5678",
"sku_id": "sku_6QAbTrGs0fJf5OUxs0G2SZyI",
"sku_image": "https://example.com/images/product.jpg",
"sku_name": "Example Product - Medium",
"sku_type": "Standard",
"original_price": 3499
}
]
}
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Order not found",
"details": {
"resource": "order",
"id": "ord_1a2b3c4d5e6f"
},
"request_id": "req_abc123def456"
}
}
{
"error": {
"code": "INVALID_API_KEY",
"message": "The API key provided is invalid or has been revoked",
"request_id": "req_abc123def456"
}
}
⌘I